let clickBoxBtn = document.querySelector('.clickBoxBtn');
let clickBoxTextInner = document.querySelector('.clickBoxTextInner');
let questionsBoxsInner = document.querySelector('.questionsBoxs');
let questionsBoxProgressInner = document.querySelector('.questionsBoxProgressInner');
let questionsBoxs = document.querySelectorAll('.questionBox');
let nextBtns = document.querySelectorAll('.nextBtn');
let backBtns = document.querySelectorAll('.backBtn');
let projectAnswerBoxs = document.querySelectorAll('.projectAnswerBox2');
let fundingAnswerBoxs = document.querySelectorAll('.fundingAnswerBox2');
let homeAnswerBoxs = document.querySelectorAll('.homeAnswerBox2');
let planAnswerBoxs = document.querySelectorAll('.planAnswerBox2');
let zipInput = document.querySelector('.zipInput2');
let answerErrors = document.querySelectorAll('.answerError');
let procent = 30;
let clickBoxImg1 = document.querySelector('#clickBoxImg1 img');

clickBoxBtn.addEventListener('click', function (e) {
  e.preventDefault();
  clickBoxTextInner.style.display = 'none';
  questionsBoxsInner.style.display = 'block';
  clickBoxImg1.src = `./assets/img/clickForm${1}.webp`;
});

let step = 0;

questionsBoxs[step].style.display = 'flex';

// box1
projectAnswerBoxs.forEach((box) => {
  box.addEventListener('click', function (e) {
    e.preventDefault();
    answerErrors[0].style.display = 'none';
    projectAnswerBoxs.forEach((box) => box.classList.remove('active'));
    box.classList.add('active');
    step += 1;
    clickBoxImg1.src = `./assets/img/clickForm${step + 1}.webp`;

    procent += 14;
    questionsBoxProgressInner.style.width = procent + '%';
    questionsBoxs.forEach((box) => (box.style.display = 'none'));
    questionsBoxs[step].style.display = 'flex';
  });
});

// 2 zipInput

// backBtns
backBtns.forEach((btn) => {
  btn.addEventListener('click', function (e) {
    e.preventDefault();
    if (step !== 0) {
      step -= 1;
      clickBoxImg1.src = `./assets/img/clickForm${step + 1}.webp`;
      procent -= 14;
      questionsBoxProgressInner.style.width = procent + '%';
    } else if (step === 0) {
      clickBoxImg1.src = `./assets/img/clickImg.webp`;
      clickBoxTextInner.style.display = 'block';
      questionsBoxsInner.style.display = 'none';
    }

    questionsBoxs.forEach((box) => (box.style.display = 'none'));
    questionsBoxs[step].style.display = 'flex';
  });
});

// nextBtns
nextBtns.forEach((btn, index) => {
  btn.addEventListener('click', function (e) {
    // 1
    if (step === 0) {
      e.preventDefault();
      projectAnswerBoxs.forEach((box) => {
        if (!box.classList.contains('active')) {
          answerErrors[index].style.display = 'block';
          return;
        } else {
          step += 1;
          clickBoxImg1.src = `./assets/img/clickForm${step + 1}.webp`;
          procent += 14;
          questionsBoxProgressInner.style.width = procent + '%';
          questionsBoxs.forEach((box) => (box.style.display = 'none'));
          questionsBoxs[step].style.display = 'flex';
          return;
        }
      });
    }


    // 2
    if (step === 1) {
      e.preventDefault();
      if (zipInput.value === '') {
        answerErrors[index].style.display = 'block';
        return;
      } else {
        step += 1;
        clickBoxImg1.src = `./assets/img/clickForm${step + 1}.webp`;
        procent += 14;
        questionsBoxProgressInner.style.width = procent + '%';
        questionsBoxs.forEach((box) => (box.style.display = 'none'));
        questionsBoxs[step].style.display = 'flex';
      }
    }
  });
});
